@echo off
cls
echo
echo.
echo.
echo.
echo.
echo                            WELCOME TO THE
echo                               STARWARS
echo                        SCENARIO INSTALL FILE
echo            -----------------------------------------------
echo.            
echo.
echo.
echo.
echo.
echo.
echo.
echo                         By Paul Caldwell
echo.
pause
cls
:main
cls
echo.
echo.                
echo            Install Main Menu
echo            -------------------------------------------
echo            1.  Install Scenario on top of original files
echo            2.  Install Scenario files with prefix of sw
echo            3.  Exit
echo.
echo.
echo.
echo            Explanation:
echo            1.  Will copy Scenario files on top of original files.  But
echo            program will back up all copied-over files and rename them
echo            with a suffix of bak.
echo            2.  All scenario files will have a suffix of sw.  So next
echo            time you play Civ2, the scenario files (units.gif etc)
echo            will not take effect, though the scenario will have been
echo            copied to the directory.
echo.
echo            Only use this file if your system meets the circumstances.
echo.
pause
Choice /n /c:123  Enter Selection:
If errorlevel 3 goto EXIT
If errorlevel 2 goto PREFIX
If errorlevel 1 goto INSTALL
goto EXIT
:PREFIX
echo.
echo  Here we go!
echo.
copy *.txt c:\mps\civ2\sw*.txt
copy *.gif c:\mps\civ2\sw*.gif
copy *.pde c:\mps\civ2\pedia\sw*.pde
copy wordlist c:\mps\civ2\pedia\swrdlist
copy readme.1st c:\mps\civ2\readme.1st
copy *.wav c:\mps\civ2\sound\sw*.wav
copy starwars.* c:\mps\civ2
echo.
echo.
echo.
echo  All done!
cd\mps\civ2
pause
goto EXIT
:INSTALL
echo.
echo.
echo            HERE WE GO!
echo.
echo.
copy c:\mps\civ2\*.txt c:\mps\civ2\*.bak
copy c:\mps\civ2\*.gif c:\mps\civ2\*.gif
copy c:\mps\civ2\pedia\units*.pde c:\mps\civ2\pedia\units*.bak
copy c:\mps\civ2\sound\*.wav c:\mps\civ2\sound\*.bak
echo  Delete the WAV files that are unnecessarily backed up.
echo.
copy starwars.* c:\mps\civ2
copy *.txt c:\mps\civ2
copy *.gif c:\mps\civ2
copy *.pde c:\mps\civ2\pedia
copy wordlist c:\mps\civ2\pedia\wordlist
copy readme.1st c:\mps\civ2\readme.1st
copy *.wav c:\mps\civ2\sound

echo.
echo.
echo            All Done!
echo.
cd\mps\civ2
pause
goto EXIT
:EXIT
echo.
echo  This is the exit.
echo  Either Install is complete or you did not install.
echo  Please send me comments about this scenario and areas for improvement.
echo  Also, if you have any good ideas for possible scenarios, make it 
echo  yourself, or send me E-Mail.
echo.
echo.
echo  Paul Caldwell
echo  caldwelj@vt.edu
echo.
echo  Au Revoir!
echo  1996
echo.

